// Code generated by go-swagger; DO NOT EDIT.

package provisioning_profile

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// ProvisioningProfileListReader is a Reader for the ProvisioningProfileList structure.
type ProvisioningProfileListReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *ProvisioningProfileListReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewProvisioningProfileListOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewProvisioningProfileListBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewProvisioningProfileListUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 404:
		result := NewProvisioningProfileListNotFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewProvisioningProfileListInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewProvisioningProfileListOK creates a ProvisioningProfileListOK with default headers values
func NewProvisioningProfileListOK() *ProvisioningProfileListOK {
	return &ProvisioningProfileListOK{}
}

/*ProvisioningProfileListOK handles this case with default header values.

OK
*/
type ProvisioningProfileListOK struct {
	Payload *models.V0ProvisionProfileListResponseModel
}

func (o *ProvisioningProfileListOK) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/provisioning-profiles][%d] provisioningProfileListOK  %+v", 200, o.Payload)
}

func (o *ProvisioningProfileListOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.V0ProvisionProfileListResponseModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewProvisioningProfileListBadRequest creates a ProvisioningProfileListBadRequest with default headers values
func NewProvisioningProfileListBadRequest() *ProvisioningProfileListBadRequest {
	return &ProvisioningProfileListBadRequest{}
}

/*ProvisioningProfileListBadRequest handles this case with default header values.

Bad Request
*/
type ProvisioningProfileListBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *ProvisioningProfileListBadRequest) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/provisioning-profiles][%d] provisioningProfileListBadRequest  %+v", 400, o.Payload)
}

func (o *ProvisioningProfileListBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewProvisioningProfileListUnauthorized creates a ProvisioningProfileListUnauthorized with default headers values
func NewProvisioningProfileListUnauthorized() *ProvisioningProfileListUnauthorized {
	return &ProvisioningProfileListUnauthorized{}
}

/*ProvisioningProfileListUnauthorized handles this case with default header values.

Unauthorized
*/
type ProvisioningProfileListUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *ProvisioningProfileListUnauthorized) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/provisioning-profiles][%d] provisioningProfileListUnauthorized  %+v", 401, o.Payload)
}

func (o *ProvisioningProfileListUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewProvisioningProfileListNotFound creates a ProvisioningProfileListNotFound with default headers values
func NewProvisioningProfileListNotFound() *ProvisioningProfileListNotFound {
	return &ProvisioningProfileListNotFound{}
}

/*ProvisioningProfileListNotFound handles this case with default header values.

Not Found
*/
type ProvisioningProfileListNotFound struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *ProvisioningProfileListNotFound) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/provisioning-profiles][%d] provisioningProfileListNotFound  %+v", 404, o.Payload)
}

func (o *ProvisioningProfileListNotFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewProvisioningProfileListInternalServerError creates a ProvisioningProfileListInternalServerError with default headers values
func NewProvisioningProfileListInternalServerError() *ProvisioningProfileListInternalServerError {
	return &ProvisioningProfileListInternalServerError{}
}

/*ProvisioningProfileListInternalServerError handles this case with default header values.

Internal Server Error
*/
type ProvisioningProfileListInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *ProvisioningProfileListInternalServerError) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/provisioning-profiles][%d] provisioningProfileListInternalServerError  %+v", 500, o.Payload)
}

func (o *ProvisioningProfileListInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
